#global gitTag   396cb8e4ed03ef9352e0e0e8ff941355df877405
#global gitshort 396cb8e4

%global qt5 1
%global gitrev 84a083f
Summary:   Qt support library for PackageKit
Name:      PackageKit-Qt
Version:   0.9.7
Release:   1.%{gitrev}%{?dist}

License:   LGPLv2+
URL:       http://www.packagekit.org/

%if 0%{?gitTag:1}
# Gitorious does not provide final tarballs, but allows downloading gzipp'ed snapshots
# of specific commits or tags
Source0:   https://gitorious.org/packagekit/packagekit-qt/archive/%{gitTag}.tar.gz
%else
Source0:   PackageKit-Qt-%{version}-git-%{gitrev}.tar.xz
%endif

## upstream patches
# These are Qt5-specific, breaks Qt4 build
#Patch2: 0002-Make-use-of-QLoggingCategory-packagekitqt.patch
#Patch3: 0003-Fix-copy-n-paste-typo.patch

BuildRequires: cmake3
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Sql)
# required for /usr/share/dbus-1/interfaces/*.xml
BuildRequires: PackageKit >= 0.9.1

Obsoletes: PackageKit-qt < 0.8.6
Provides: PackageKit-Qt5
Requires: PackageKit

%description
PackageKit-Qt is a Qt5 support library for PackageKit

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: PackageKit-qt-devel < 0.8.6
Provides: PackageKit-Qt5-devel

%description devel
%{summary}.



%prep
%setup -n %{name}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake3} \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DUSE_QT5:BOOL=ON \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/libpackagekitqt5.so.%{version}
%{_libdir}/libpackagekitqt5.so.0

%files devel
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_includedir}/packagekitqt5/
%dir %{_libdir}/cmake
%{_libdir}/cmake/packagekitqt5/



%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 29 2015 Rex Dieter <rdieter@fedoraproject.org> - 0.9.5-5
- drop old Provides: PackageKit-qt
- -Requires/+Recommends: PackageKit

* Tue Oct 27 2015 Rex Dieter <rdieter@fedoraproject.org> 0.9.5-4
- .spec cosmetics

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.5-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Oct 13 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.5-1
- 0.9.5

* Fri Oct 03 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-7
- cleanup, pull in latest upstream fixes, -Qt5 support

* Thu Sep 04 2014 Adam Williamson <awilliam@redhat.com> - 0.9.2-6
- require PackageKit (#1003122)

* Wed Aug 27 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-5
- drop Properly-export-cmake-targets.patch, breaks apper build

* Tue Aug 26 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-4
- pull in some upstream fixes

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- 0.9.2 release

* Sat Apr 26 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-0.3.20140424git
- 20140424 snapshot

* Tue Apr 22 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-0.1.20140421git
- fresh git snapshot

* Tue Apr 08 2014 Daniel Vrátil <dvratil@redhat.com> - 0.9.0-0.1
- Update to 0.9.0 git snapshot, 0.8.x does not build against PackageKit 0.9.0 which is in rawhide

* Tue Apr 08 2014 Daniel Vrátil <dvratil@redhat.com> - 0.8.9-1
- Update to latest upstream release

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Richard Hughes <richard@hughsie.com> 0.8.8-1
- New upstream release
- Adding Provides property to Daemon
- Adding some Meta information
- Add missing declare enums
- Adds the transactionFlags to the Transaction class
- Add TransactionFlags registration
- Fix searchGroups() be iterating over the flaged values
- Ignore Interface isValid() check
- Implement connectNotify and disconnectNotify
- Improve error handling and make it easier for QML use it
- Make sure we set an error if we fail to contact PackageKit

* Thu Mar 07 2013 Rex Dieter <rdieter@fedoraproject.org> 0.8.7-3
- pickup/test upstream crash fix (kde#315009)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Richard Hughes <richard@hughsie.com> 0.8.7-1
- New upstream release
- Add back the destroy() signal
- Make our package spliters static
- Make sure we waitForFinishe() when getting the TransactionList
- Only call Cancel() if the transaction proxy exist
- The full namespace is needed for a slot to be called
- Workaround Qt bug not contructing default values when the call fails

* Mon Nov 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.6-3
- fixup dir ownership
- use pkgconfig-style deps
- tighten subpkg dep via %%?_isa

* Mon Nov 26 2012 Richard Hughes <richard@hughsie.com> 0.8.6-2
- Added obsoletes/provides as required for the Fedora package review

* Mon Nov 26 2012 Richard Hughes <richard@hughsie.com> 0.8.6-1
- Initial version for Fedora package review
